plugins {
    id 'java-library'
    id 'org.jetbrains.kotlin.jvm'
    id 'org.jetbrains.kotlin.plugin.serialization'
}

dependencies {
    implementation project(":core:tools")
    implementation project(":core:events")
    implementation project(":core:approvals")
    implementation project(":core:sessions")
    implementation project(":infrastructure:tools:filesystem")
    implementation project(":core:artifacts")
    implementation project(":core:artifacts-store")
}

tasks.named("koverVerify").configure { enabled = false }
